GET
/investmentsList
Recovers all investments collected for the item provided
Parameters
Query Parameters
| Name | Type |
|---|---|
itemIdrequired | string (uuid) |
type | string |
pageSize | number (double) |
page | number (double) |
Responses
200Retrieve a list of all investments
object
pagenumber (double)
totalnumber (double)
totalPagesnumber (double)
resultsobject[]
List of investments
itemsobject
Investment representing a specific asset
Example response
json
{
"page": 0,
"total": 0,
"totalPages": 0,
"results": [
{
"id": "f77eccf4-7714-498e-92a9-1bebe70335d9",
"code": "12.345.678/0001-00",
"name": "Bahia AM Advisory FIC de FIM",
"balance": 1359.39,
"currencyCode": "BRL",
"type": "MUTUAL_FUND",
"subtype": "MULTIMARKET_FUND",
"lastMonthRate": 0.24,
"annualRate": 3.24,
"lastTwelveMonthsRate": 3,
"itemId": "207f5bcd-312a-439c-abbe-166b6632c980",
"value": 500,
"quantity": 3,
"amount": 1500,
"taxes": 40.61,
"taxes2": 100,
"date": "2020-07-19T18:27:41.802Z",
"owner": "John Doe",
"number": null,
"amountProfit": 310.5,
"amountWithdrawal": 1310.5,
"amountOriginal": 1000,
"status": "ACTIVE",
"transactions": [
{
"tradeDate": "2020-10-01T00:00:00.000Z",
"date": "2020-10-01T00:00:00.000Z",
"description": "Aplicação Fondo de Investimento Premium",
"quantity": 1.25,
"value": 2,
"amount": 5,
"type": "BUY",
"movementType": "CREDIT"
}
]
}
]
}Code Examples
bash
curl -X GET 'https://api.pluggy.ai/investments' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'Try It
Query Parameters
